Part Cylinder: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
(47 intermediate revisions by 10 users not shown)
Line 1: Line 1:
<languages/>
<translate>
<translate>

<!--T:13-->
{{Docnav
|[[Part_Box|Box]]
|[[Part_Sphere|Sphere]]
|[[Part_Workbench|Part]]
|IconL=Part_Box.svg
|IconR=Part_Sphere.svg
|IconC=Workbench_Part.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Part_Cylinder|MenuLocation=Part -> Cylinder||Workbenches=[[Part_Module|Part_Module]],Complete|SeeAlso=[[Part_CreatePrimitives|Part_CreatePrimitives]]}}
|Name=Part Cylinder
|MenuLocation=Part → Primitives → Cylinder
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}


==Description== <!--T:21-->


== Description == <!--T:2-->
<!--T:9-->
Creates a simple parametric cylinder, with position, angle, radius and height parameters.
Creates a simple parametric cylinder, with position, angle, radius and height parameters.


== How to use == <!--T:2-->
==Usage== <!--T:10-->
In the workbench [[Part_Workbench|Part]] click on the cube icon [[Image:Part_Cylinder.png|32px]]. The default is for a full cylinder to be positioned, the centre of one circular face coincident with the global origin (point 0,0,0), with a radius of 2mm and height of 10mm.


== Options == <!--T:2-->
<!--T:17-->
# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
The properties can later be edited in the data tab for the cylinder:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Cylinder.svg|16px]] Cylinder}} button in the toolbar.
#* Select {{MenuCommand|Part → Primitives → [[Image:Part_Cylinder.svg|16px]] Cylinder}} entry from the top menu


<!--T:5-->
<!--T:18-->
'''Result:''' The default result is a full cylinder with a radius of 2 mm and height of 10 mm, centered along the global z-axis and attached to the global xy-plane.
The angle parameter permits the creation of a portion of cylinder (it is set to 360° by default).


<!--T:6-->
<!--T:19-->
The cylinder properties can later be edited, either in the [[Property_editor|Property editor]] or by double-clicking the cylinder in the [[Tree_view|Tree view]].
The height is the distance in the z-axis.

<!--T:7-->
The radius defines a plane in x-y.


<!--T:8-->
<!--T:8-->
[[File:cylinder.png|650px|a cylinder created with the Cylinder tool]]
[[File:cylinder.png|650px|a cylinder created with the Cylinder tool]]


== Properties == <!--T:11-->
==== Cylinder====
* {{Parameter|Angle:}} The angle parameter permits the creation of a portion of cylinder (it is set to 360° by default)
* {{Parameter|Height:}} The height is the distance in the z-axis
* {{Parameter|Radius:}} The radius defines a plane in x-y.


<!--T:20-->
* {{PropertyData|Angle}}: This is the rotation angle that permits the creation of a portion of cylinder (it is set to 360° by default)
* {{PropertyData|Height}}: The height is the distance in the z-axis
* {{PropertyData|Radius}}: The radius defines a plane in x-y.
* {{PropertyData|First Angle}}: Angle in first direction. {{Version|0.20}}
* {{PropertyData|Second Angle}}: Angle in second direction. {{Version|0.20}}

== Scripting == <!--T:22-->

<!--T:23-->
A Part Cylinder can be created using the following function:


</translate>
</translate>
{{Code|code=
{{clear}}
cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
<languages/>
}}
<translate>

<!--T:24-->
* Where {{Incode|"myCylinder"}} is the name for the object.
* The function returns the newly created object.


<!--T:14-->
{{Docnav
|[[Part_Box|Box]]
|[[Part_Sphere|Sphere]]
|[[Part_Workbench|Part]]
|IconL=Part_Box.svg
|IconR=Part_Sphere.svg
|IconC=Workbench_Part.svg
}}

</translate>
{{Part Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 14:02, 8 January 2022

Part Cylinder

Menu location
Part → Primitives → Cylinder
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

Creates a simple parametric cylinder, with position, angle, radius and height parameters.

Usage

  1. Switch to the Part Workbench
  2. There are several ways to invoke the command:
    • Press the Cylinder button in the toolbar.
    • Select Part → Primitives → Cylinder entry from the top menu

Result: The default result is a full cylinder with a radius of 2 mm and height of 10 mm, centered along the global z-axis and attached to the global xy-plane.

The cylinder properties can later be edited, either in the Property editor or by double-clicking the cylinder in the Tree view.

a cylinder created with the Cylinder tool

Properties

  • DataAngle: This is the rotation angle that permits the creation of a portion of cylinder (it is set to 360° by default)
  • DataHeight: The height is the distance in the z-axis
  • DataRadius: The radius defines a plane in x-y.
  • DataFirst Angle: Angle in first direction. introduced in version 0.20
  • DataSecond Angle: Angle in second direction. introduced in version 0.20

Scripting

A Part Cylinder can be created using the following function:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.